de.esprit.netsuite.server.pathtree.permission

## Class FilePermissionConfig

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.netsuite.server.permission.AbstractPermissionConfig
    - - de.esprit.netsuite.server.pathtree.permission.FilePermissionConfig

- All Implemented Interfaces:
    ApplicationObject<ApplicationContext>, Clearable, Dumpable, PermissionConfig, java.io.Serializable

      public class FilePermissionConfig
      extends AbstractPermissionConfig
      implements ApplicationObject<ApplicationContext>

  This class...
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `permissionFileName`

    - ### Fields inherited from class de.esprit.netsuite.server.permission.AbstractPermissionConfig

      `accessibleObjectKey, groupNameKey, groupPermissionsTable, permissionConfigType, permissionKey, userNameKey, userPermissionsTable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilePermissionConfig(ApplicationContext ctx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationContext` | `getApplicationContext()`
    `java.lang.String` | `getPermissionFilename()`
    `void` | `read(PathInfo pathInfo)`
    `void` | `write(PathInfo pathInfo)`

    - ### Methods inherited from class de.esprit.netsuite.server.permission.AbstractPermissionConfig

      `addGroupPermission, addUserPermission, checkUserPermission, clear, clearGroupPermissions, clearUserPermissions, findGroupPermissionsFor, findGroupPermissionsFor, findUserPermissionsFor, findUserPermissionsFor, getGroupPermissions, getUserPermissions, hasGroupPermission, hasGroupPermission, hasUserPermission, hasUserPermission, read, removeGroupPermissionsFor, removeGroupPermissionsFor, removeUserPermissionsFor, removeUserPermissionsFor, setGroupMemberResolver, setGroupPermissions, setUserPermissions, toDumpString, toString, write`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toString`

- - ### Field Detail

    - #### permissionFileName

          public static final java.lang.String permissionFileName

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FilePermissionConfig

          public FilePermissionConfig(ApplicationContext ctx)

  - ### Method Detail

    - #### getApplicationContext

          public ApplicationContext getApplicationContext()

      Specified by:
        `getApplicationContext` in interface `ApplicationObject<ApplicationContext>`

    - #### getPermissionFilename

          public java.lang.String getPermissionFilename()

    - #### write

          public void write(PathInfo pathInfo)
                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### read

          public void read(PathInfo pathInfo)
                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.